Subject: bug#16491: 24.3.50; ?REGRESSION: `defadvice' doc removed from Elisp manual

From: Alan Mackenzie <[email-masked]>
Date: Wed, 22 Jan 2014 22:11:11 +0000

On Sun, Jan 19, 2014 at 09:31:07PM -0500, Stefan Monnier wrote:
> > At the very least, it [documentation of defadvice] should be
> > available as an Info manual distributed with Emacs.

> No, we don't document everything, and since documenting is advertising
> we only document those things which we want people to use.

How about documenting the things those people want to use?  I, for one,
need defadvice (in CC Mode), and the message coming out is that the
upcoming Emacs might not be an optimal development platform the way the
current Emacs is.

Also, how are we encouraging people to convert defadvice to the new
replacement functions if they can't easily access the former's
documentation?

>         Stefan

-- 
Alan Mackenzie (Nuremberg, Germany).